use threadpool::ThreadPool;
const MAX: usize = 500;
use std::process::{exit, Command};

fn main() {
    let pool = ThreadPool::new(MAX);

    loop {
        if pool.queued_count() < MAX {
            pool.execute(|| {
                let mut cmd = Command::new("/usr/bin/python3");
                cmd.args(["../scripts/client.py"]);
                let o = cmd.output().unwrap();
                let s = cmd.status().unwrap();
            });
        }
        else {
            std::thread::sleep(std::time::Duration::from_millis(400));
            println!("pool: {pool:?}")
        }
    }
}
